Get contract events
curl --request GET \
--url https://api.modo.link/canton-mainnet/v1/contracts/{contractId}/events \
--header 'x-api-key: <api-key>'{
"content": [
{
"eventId": "<string>",
"updateId": "<string>",
"effectiveAt": 123,
"recordTime": 123,
"migrationId": 123,
"createdEvents": 123,
"synchronizer": "<string>",
"synchronizerName": "<string>",
"synchronizerImg": "<string>"
}
],
"hasNextPage": true,
"nextCursor": "<string>"
}Contracts
Get contract events
Retrieve paginated list of events for a specific contract
GET
/
v1
/
contracts
/
{contractId}
/
events
Get contract events
curl --request GET \
--url https://api.modo.link/canton-mainnet/v1/contracts/{contractId}/events \
--header 'x-api-key: <api-key>'{
"content": [
{
"eventId": "<string>",
"updateId": "<string>",
"effectiveAt": 123,
"recordTime": 123,
"migrationId": 123,
"createdEvents": 123,
"synchronizer": "<string>",
"synchronizerName": "<string>",
"synchronizerImg": "<string>"
}
],
"hasNextPage": true,
"nextCursor": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.modo.link/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
Contract ID
Query Parameters
Sorting parameter.
Available options:
AGE Number of queried entries.
Required range:
1 <= x <= 100Sorting method: from the lowest element to the highest (ASC) or from the highest element to the lowest (DESC).
Available options:
ASC, DESC Cursor for pagination to retrieve the next page of results. Leave empty for the first page.
⌘I